com.microfocus.zserver.zexplorer.ui.commands

## Class ZExplorerTester

- java.lang.Object
- - org.eclipse.core.expressions.PropertyTester
  - - com.microfocus.zserver.zexplorer.ui.commands.ZExplorerTester

- All Implemented Interfaces:
    org.eclipse.core.expressions.IPropertyTester

      public class ZExplorerTester
      extends org.eclipse.core.expressions.PropertyTester

  Property Tester for the zExplorer.
  Author:
    PrudenceB

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_IS_ASSOCIATED_WITH_MAINFRAME` Returns `true` if the file is either opened via z/Explorer (similar to `PROPERTY_IS_ZEXPLORER_PART`) or via a modeled AWM action of an application that is associated to a remote system.
    `static java.lang.String` | `PROPERTY_IS_ZEXPLORER_PART` Property tester property name: isZExplorerPart

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ZExplorerTester()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `test(java.lang.Object receiver, java.lang.String property, java.lang.Object[] args, java.lang.Object expectedValue)`

    - ### Methods inherited from class org.eclipse.core.expressions.PropertyTester

      `handles, instantiate, internalCreateDescriptor, internalInitialize, isDeclaringPluginActive, isInstantiated`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_IS_ZEXPLORER_PART

          public static final java.lang.String PROPERTY_IS_ZEXPLORER_PART

      Property tester property name: isZExplorerPart
      See Also:
        Constant Field Values

    - #### PROPERTY_IS_ASSOCIATED_WITH_MAINFRAME

          public static final java.lang.String PROPERTY_IS_ASSOCIATED_WITH_MAINFRAME

      Returns `true` if the file is either opened via z/Explorer (similar to `PROPERTY_IS_ZEXPLORER_PART`) or via a modeled AWM action of an application that is associated to a remote system.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ZExplorerTester

          public ZExplorerTester()

  - ### Method Detail

    - #### test

          public boolean test(java.lang.Object receiver,
                              java.lang.String property,
                              java.lang.Object[] args,
                              java.lang.Object expectedValue)

Copyright © 2015 Micro Focus GmbH. All rights reserved.